#pre-bootstrap {
  background-color: #262626;
  bottom: 0px;
  left: 0px;
  position: fixed;
  right: 0px;
  top: 0px;
  z-index: 999999;
}

  #pre-bootstrap div.messaging {
    color: #FFFFFF;
    font-family: monospace;
    left: 0px;
    margin-top: -107px;
    position: absolute;
    right: 0px;
    text-align: center;
    top: 50%;
  }

  #pre-bootstrap h1 {
    font-size: 26px;
    line-height: 35px;
    margin: 0px 0px 20px 0px;
  }

  #pre-bootstrap p {
    font-size: 18px;
    line-height: 14px;
    margin: 0px 0px 0px 0px;
  }



.prebootShow {
  opacity: 1 !important;
}

.prebootStep {
  opacity: 0;
  transition: .5s ease-in-out all;
}


.btn{
  cursor: pointer;
}

.btn-primary {
  color: #FFF;
  background: #00aeef;
  padding: 10px 25px;
  display: inline-block;
  margin: 10px 0;
}

/*loader*/
/* Absolute Center Spinner */


.cs-loader {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}

.cs-loader-inner {
  transform: translateY(-50%);
  top: 60%;
  position: absolute;
  width: calc(100% - 200px);
  color: #FFF;
  padding: 0 100px;
  text-align: center;
}

  .cs-loader-inner label {
    font-size: 20px;
    opacity: 0;
    display: inline-block;
    color: gray;
  }

@keyframes lol {
  0% {
    opacity: 0;
    transform: translateX(-300px);
  }

  33% {
    opacity: 1;
    transform: translateX(0px);
  }

  66% {
    opacity: 1;
    transform: translateX(0px);
  }

  100% {
    opacity: 0;
    transform: translateX(300px);
  }
}

@-webkit-keyframes lol {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-300px);
  }

  33% {
    opacity: 1;
    -webkit-transform: translateX(0px);
  }

  66% {
    opacity: 1;
    -webkit-transform: translateX(0px);
  }

  100% {
    opacity: 0;
    -webkit-transform: translateX(300px);
  }
}

.cs-loader-inner label:nth-child(6) {
  -webkit-animation: lol 3s infinite ease-in-out;
  animation: lol 3s infinite ease-in-out;
}

.cs-loader-inner label:nth-child(5) {
  -webkit-animation: lol 3s 100ms infinite ease-in-out;
  animation: lol 3s 100ms infinite ease-in-out;
}

.cs-loader-inner label:nth-child(4) {
  -webkit-animation: lol 3s 200ms infinite ease-in-out;
  animation: lol 3s 200ms infinite ease-in-out;
}

.cs-loader-inner label:nth-child(3) {
  -webkit-animation: lol 3s 300ms infinite ease-in-out;
  animation: lol 3s 300ms infinite ease-in-out;
}

.cs-loader-inner label:nth-child(2) {
  -webkit-animation: lol 3s 400ms infinite ease-in-out;
  animation: lol 3s 400ms infinite ease-in-out;
}

.cs-loader-inner label:nth-child(1) {
  -webkit-animation: lol 3s 500ms infinite ease-in-out;
  animation: lol 3s 500ms infinite ease-in-out;
}

.function-group {
  max-width: 10%;
  width: 10%;
  margin: 0 1% 0 0;
  display: inline-block;
}

.search-box .function-group-button {
  max-width: 20%;
  width: 15%;
  display: inline-block;
}

.search-box label {
  margin: 0 0 10px;
  display: block;
}

.function-group .mat-select-arrow-wrapper {
  display: table-cell;
  vertical-align: middle;
  padding: 10px 20px;
  background: #ccc;
}

.mat-select-value {
  display: table-cell;
  max-width: 0;
  width: 100%;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  background: #eee;
  padding: 10px;
}

.mat-dialog-container {
  min-height: 700px !important;
}

.mat-tab-label {
  background: #3a6396;
  margin: 0 1em 0 0;
  opacity: 1 !important;
}

.mat-tab-label .mat-tab-label-content{
  color: #FFF;
}

.mat-tab-group.mat-primary .mat-tab-label.cdk-focused:not(.cdk-mouse-focused):not(.mat-tab-disabled),
.mat-tab-label-active {
  background: #05254c !important;
  opacity: 1;
}

.mat-form-field-label-wrapper{
  font-size: 16px;
}

.mat-dialog-actions{
  float: right;
  padding:12px 24px!important;
}

.cdk-text-field-autofill-monitored:not(:-webkit-autofill){
  background: #eee;
  padding: 10px 0;
}

.mat-form-field-appearance-legacy .mat-form-field-infix{
  padding: 0 !important;
  margin: 0;
}

.mat-checkbox {
  margin-top: 18px;
  display: inline-block;
 
}

.mat-form-field-infix {
  border-top: 20px solid #0000;
}

.marginTop10{
  margin-top: 10px !important;
}

.marginTop30 {
  margin-top: 30px !important;
}

.mat-form-field-prefix .mat-icon-button,
.mat-form-field-suffix .mat-icon-button {
  height: 1.25em !important;
  position: relative;
  top: -10px;
}

.mat-form-field-appearance-legacy .mat-form-field-label {
  color: #3a6396 !important;
}

.ng-star-inserted{
  font-size: 14px;
}

app-footer .app-footer,
.mat-toolbar.mat-primary {
 /* background: #365A8F !important;*/

}

.search-box a {
  background: #339a63 !important;
  margin-top: 15px!important;
}

.mat-button.mat-primary,
.mat-icon-button.mat-primary,
.mat-stroked-button.mat-primary,
mat-nav-list .mat-list-item.active {
  color: #365A8F !important;
}

.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background,
.mat-checkbox-checked.mat-accent .mat-checkbox-background,
.mat-pseudo-checkbox-checked, .mat-pseudo-checkbox-indeterminate,
.mat-accent .mat-pseudo-checkbox-checked,
.mat-accent .mat-pseudo-checkbox-indeterminate {
  background-color: #fd7d05 !important;
}

.search-box{
  position: relative;
  margin: 10px 0;
}

.search-box .searchbox-input {
  position: relative;
  top: 7px;
}


.mat-flat-button.mat-primary,
.mat-raised-button.mat-primary,
.mat-fab.mat-primary,
.mat-mini-fab.mat-primary {
  background-color: #00aeef !important;
}

.mat-flat-button.mat-warn,
.mat-raised-button.mat-warn,
.mat-fab.mat-warn,
.mat-mini-fab.mat-warn {
  background-color: #fd7d05 !important;
}


@-moz-document url-prefix() {
  .mat-form-field-appearance-legacy .mat-form-field-infix {
    padding: .4375em 0 !important;
  }
}

.icon-custom {
  background: url("data:image/svg+xml;charset=utf8,%3C?xml version='1.0' encoding='utf-8'?%3E%3Csvg width='12' height='12' viewBox='0 0 1792 1792' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1755 453q37 38 37 90.5t-37 90.5l-401 400 150 150-160 160q-163 163-389.5 186.5t-411.5-100.5l-362 362h-181v-181l362-362q-124-185-100.5-411.5t186.5-389.5l160-160 150 150 400-401q38-37 91-37t90 37 37 90.5-37 90.5l-400 401 234 234 401-400q38-37 91-37t90 37z'/%3E%3C/svg%3E") no-repeat;
}

.marginTop20 {
  margin-top:20px;
}
